<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.security-domain" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-realm,evidence-decoder,outflow-anonymous,outflow-security-domains,permission-mapper,post-realm-principal-transformer,pre-realm-principal-transformer,principal-decoder,realm-mapper,realms,role-decoder,role-mapper,security-event-listener,trusted-security-domains,trusted-virtual-security-domains"/>
        <elem name="addr-params" value="profile,host,subsystem,security-domain"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.security-domain.$security-domain"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.realm-mapper.$realm-mapper" optional="true"/>
        <capability name="$profile.org.wildfly.security.evidence-decoder.$evidence-decoder" optional="true"/>
        <capability name="$profile.org.wildfly.security.permission-mapper.$permission-mapper" optional="true"/>
        <capability name="$profile.org.wildfly.security.security-domain.$outflow-security-domains" optional="true"/>
        <capability name="$profile.org.wildfly.security.principal-transformer.$pre-realm-principal-transformer" optional="true"/>
        <capability name="$profile.org.wildfly.security.principal-transformer.$post-realm-principal-transformer" optional="true"/>
        <capability name="$profile.org.wildfly.security.role-decoder.$role-decoder" optional="true"/>
        <capability name="$profile.org.wildfly.security.security-domain.$trusted-security-domains" optional="true"/>
        <capability name="$profile.org.wildfly.security.role-mapper.$role-mapper" optional="true"/>
        <capability name="$profile.org.wildfly.security.virtual-security-domain.$trusted-virtual-security-domains" optional="true"/>
        <capability name="$profile.org.wildfly.security.principal-decoder.$principal-decoder" optional="true"/>
        <capability name="$profile.org.wildfly.security.security-event-listener.$security-event-listener" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="realms" nillable="true" stability="default"/>
        <param name="permission-mapper" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="post-realm-principal-transformer" nillable="true" stability="default"/>
        <param name="role-decoder" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="outflow-anonymous" nillable="true" stability="default"/>
        <param name="outflow-security-domains" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="pre-realm-principal-transformer" nillable="true" stability="default"/>
        <param name="security-domain" feature-id="true"/>
        <param name="trusted-security-domains" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="role-mapper" nillable="true" stability="default"/>
        <param name="security-event-listener" nillable="true" stability="default"/>
        <param name="realm-mapper" nillable="true" stability="default"/>
        <param name="default-realm" nillable="true" stability="default"/>
        <param name="evidence-decoder" nillable="true" stability="default"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="principal-decoder" nillable="true" stability="default"/>
        <param name="trusted-virtual-security-domains" nillable="true" type="List&lt;String&gt;" stability="default"/>
    </params>
</feature-spec>